@import url(https://fonts.googleapis.com/css2?family=Poppins:wght@300;400;500;600;700;800;900&displat=swap) ;

*{
    margin: 0 0 0 0;
    padding: 0 ;
    box-sizing: border-box;
    text-decoration: none;
    border: none;
    outline: none;
    scroll-behavior: smooth;
    font-family: 'Poppin', sans-serif;
}

:root{
    --bg-color:#800000;
    --second-bg-color:#1f242d;
    --text-color:#fff;
    --main-color:rgb(248, 1, 13);
}

html{
    font-size: 62.5%;
    overflow-x: hidden;
}

body{
    width: 100%;
    background: #580101;
    color: var(--text-color);
}
section{
    min-height: 100vh;
    min-width: 100vh;
    padding: 10rem 9% 2rem;
}
.header{
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    padding: 2rem 9%;
    background:#580101;
    display: flex;
    justify-content: space-between;
    align-items: center;
    z-index: 100;
}

.header.sticky {
    border-bottom: .1rem solid rgba(0, 0, 0, .2);
}

.logo{
    font-size: 2.5rem;
    color: var(--text-color);
    font-weight: 600;
    cursor: default;
}

.navbar a {
    font-size: 1.7rem;
    color: var(--text-color);
    margin-left: 4rem;
    transition: .3s;
}

.navbar a:hover ,
.navbar a.active {
    color: var(--main-color);
}

#menu-icon {
    font-size: 3.6rem;
    color: var(--text-color);
    display: none;
}

.home{
    display: flex;
    justify-content: center;
    align-items: center;
}
 
.home-img img {
    width: 35vw;
    animation: floatImage 4s ease-in-out infinite;
}

@keyframes floatImage{
    0%{
        transform: translateY(0);
    }

    50%{
        transform: translateY(-2.4rem);
    }

    100%{
        transform: translateY(0);
    }
}

.home-content h3 {
    font-size: 4.3rem;
    font-weight: 700;
}

.home-content h3:nth-of-type(2) {
    margin-bottom: 2rem;
}

span {
    color: var(--main-color);
}
.home-content h1 {
    font-size: 4.6rem;
    font-weight: 500;
    line-height: 1.3;
}

.home-content p{
    font-size: 1.6rem;
}

.sosial-media a {
    display: inline-flex;
    justify-content: center;
    align-items: center;
    width: 4rem;
    height: 4rem;
    background: transparent;
    border: .2rem solid var(--main-color);
    border-radius: 50%;
    font-size: 2rem;
    color: var(--main-color);
    margin: 3rem 1.5rem 3rem 0;
    transition: .5s ease;
}

.sosial-media a:hover {
    background: var(--main-color);
    color: var(--second-bg-color);
    box-shadow: 0 0  1rem var(--main-color);
}

.btn {
    display: inline-block;
    padding: 1rem 2.8rem;
    background: var(--main-color);
    border-radius: 4rem;
    box-shadow: 0 0 1rem var(--main-color);
    font-size: 1.6rem;
    color:#580101;
    letter-spacing: 1.rem;
    font-weight: 600;
    transition: .5s ease;
}

.btn:hover {
    box-shadow: none;
}

.abouth {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 2rem;
    background: #800000;
}

.abouth-img img {
    width: 35vw;
}

.heading {
    text-align: center;
    font-size: 3.6rem;
}

.abouth-content h2 {
    text-align: center;
    line-height: 6.4rem;
}

.abouth-content h3 {
    text-align: center;
    font-size: 2.6rem;
}

.abouth-content p {
font-size: 1.6rem;
margin: 2rem;
} 

.struktur{
    background: #580101;
    font-size: larger;
}

.portofolio {
    background-color:#800000;
}

.portofolio h2{
    margin-bottom: 4rem;
}

.portofolio-container {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    align-items: center;
    gap: 2.5rem;
}



.portofolio-container .portofolio-box{
    position: relative;
    border-radius: 2rem;
    box-shadow: 0 0 1rem var(--bg-color);
    overflow: hidden;
    display: flex;
}

.portofolio-box img {
    width: 100%;
    transition: .5s ease;
    animation: floatImage 4s ease-in-out infinite;
}

.portofolio-box:hover img {
    transform: scale(1.1);
}

.portofolio-box .portofolio-layer {
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: linear-gradient(rgba(0, 0, 0, .1 ), var(--second-bg-color));
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    text-align: center;
    padding: 0 4rem;
    transform: translateY(100%);
    transition: .5s ease;
}

.portofolio-box:hover .portofolio-layer {
    transform: translateY(0%);
}

.portofolio-layer h4 {
    font-size: 3rem;
}

.portofolio-layer p {
    font-size: 1.rem;
    margin: .3rem 0 1rem;
}

.portofolio-layer a {
    display: inline-flex;
    justify-content: center;
    align-items: center;
    width: 5rem;
    height: 5rem;
    border-radius: 50%;
}

.portofolio-layer a i {
    font-size: 2rem;
    color: #580101;
}

.contact h2{
    margin-bottom: 3rem;
}
.contact-content {
    display: flex;
    flex-direction: column; /* Vertikal pada layar kecil */
    align-items: center;
    gap: 2rem; /* Jarak antar elemen */
  }
  
  .contact-icon {
    display: flex;
    justify-content: center;
    align-items: center;
   min-height: 10rem;
   min-width: 10rem;
    background-color: #fff;
    color: #580101;
    border-radius: 0%;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
    font-size: 3rem; /* Ukuran icon */
  }

  .contact-icon:hover{
    background: var(--main-color);
    color: var(--second-bg-color);
    box-shadow: 0 0  1rem var(--main-color);
  }
  
  .iframe-container {
    position: relative;
    width: 100%;
    max-width: 600px; /* Maksimal lebar iframe */
    padding-bottom: 56.25%; /* Rasio aspek 16:9 */
    height: 0;
    overflow: hidden;
  }
  
  .iframe-container iframe {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    border: 0;
  }
  
  @media (min-width: 768px) {
    .contact-content {
      flex-direction: row; /* Horizontal pada layar besar */
      justify-content: center;
    }
  
    .contact-icon,
    .iframe-container {
      flex: 1; /* Bagi ruang secara proporsional */
      max-width: 50%; /* Batasi ukuran */
    }
  }

.footer {
    min-width: 100vh;
    display: flex;
    justify-content: space-between;
    align-items: center;
    flex-wrap: wrap;
    padding: 2rem 9% ;
    background-color: #800000;
}

.footer-text p {
    font-size: 1.6rem;
}

.footer-iconTop a {
    display: inline-flex;
    justify-content: center;
    align-items: center;
    padding:.8rem;
    background-color: #300202;
    border-radius: .8rem;
    transition: .5s ease;
}


.footer-iconTop a:hover {
    box-shadow: 0 0 1rem #580101;
}

.footer-iconTop a i {
    font-size: 2.4rem;
    color: var(--text-color);
}


/* BRESKPOINT */
@media (max-width: 1200px) {
    html {
        font-size: 55%;
    }
}

@media (max-width: 991px) {
.header {
        padding: 2rem 3%;
    }
}

section {
    padding: 10 rem 3% 2rem;
}

.details {
    padding-bottom: 7rem;
}

.portofolio {
    padding-bottom: 7rem;
}

.footer {
    pad: 2rem 3%;
}

@media (max-width: 768px) {
    #menu-icon{
        display: block;
    }

    .navbar {
        position: absolute;
        top: 100%;
        left: 0;
        width: 100%;
        padding: 1rem 3%;
        background: #800000;
        border-top: .1rem solid rgba(0, 0, 0, .2);
        box-shadow: 0 .5rem 1rem rgba(0, 0, 0, .2);
        display: none;
    }

    

    .navbar.active {
        display: block;
    }

    .navbar a {
        display: block;
        font-size: 2rem;
        margin: 3rem 0;
    }

    .home {
        flex-direction: column;
    }

    .home-content h3 {
        font-size: 2.6rem;
    }

    .home-content h1 {
        font-size: 5rem;
    }

    .home img {
        width: 35vw;
        margin-top: 4rem;
    }

    .abouth {
        flex-direction: column-reverse;
    }

    .abouth-img {
        width: 35vwvw;
        height: 50vw;
        margin-top: 6rem;
    }

    .details h2 {
        margin-bottom: 3rem;
    }

    .portofolio h2 {
        margin-bottom: 3rem;
    }

    .portofolio-container {
        grid-template-columns: 1fr;
    }

@media (max-width: 617px) {
    .portofolio-container {
        grid-template-columns: 1fr;
    }

    .home-content{
        font-size: 100%;
        margin-bottom: 25px;
    }

    .home-img{
        width: 35vh;
        transform: scale(1.6);
        margin-bottom: 100px;
    }
    .abouth-img {
        transform: scale(1.5);
        margin-bottom: 100px;
      width: 35vw;
    }
}

.struktur img{
    transform: scale(2.7);
    width: 45vw;
    margin: auto;
    display: block;

}

.struktur h4 {
    font-size: 2.rem;
    
}

}

@media (max-width: 500px) {
    html {
        font-size: 85%;
    }
    .contact form .input-box input{
        width: 100%;
    }


    .home-img {
        width: 35vw;
        transform: scale(1.9);
        justify-content: center;
        align-items: center;
    }

    .abouth-img {
        width: 35vw;
        transform: scale(1.9);
        justify-content: center;
        align-items: center;
    }

    .struktur img{
        width: 35vh;
        font-size: 1.6rem;
        transform: scale(3.8);
    }
    
    .struktur h4  {
        font-size: 85%;
        
    }

    .footer {
        flex-direction: column-reverse;
        text-align: center;
        margin-top: 2rem;
    }
}


@media (max-width: 365px) {

    .section{
        min-width: 100vh;
    }
    
    .home-img {
        width: 35vw;
        transform: scale(2.6);

    }
    .abouth-img {
        transform: scale(2.6);
        justify-content: center;
        align-items: center;
        font-size: 1.1rem;
    }
    .abouth h2 {
        font-size: 2.6rem;
        text-align: center;

    }

    .abouth h3 {
        font-size: 1.6rem;
        text-align: center;
    }

    .portofolio-layer h4 {
        font-size: 75%;
    }

    .portofolio-layer p {
        font-size: 75%;
    }

    .footer {
        flex-direction: column-reverse;
        text-align: center;
        margin-top: 2rem;
    }

}
    @media (max-width: 330px) {



        .section{
            min-width: 100vh;
        }
        
        .home-img {
            width: 35vw;
            margin-top: 150px;
            transform: scale(3.8);
            margin-bottom: 150px;
    
        }
        .abouth-img {
            transform: scale(2.6);
            justify-content: center;
            align-items: center;
            font-size: 1.1rem;
        }
        .abouth h2 {
            font-size: 2.6rem;
            text-align: center;
    
        }
    
        .abouth h3 a {
            font-size: 1.6rem;
            text-align: center;
        }
    
        .portofolio-layer h4 {
            font-size: 75%;
        }
    
        .portofolio-layer p {
            font-size: 85%;
        }
    
        .footer {
            flex-direction: column-reverse;
            text-align: center;
            margin-top: 2rem;
        }

    }

    @media (max-width: 300px) {


        .section{
            min-width: 100vh;
        }
        
        .home-img {
            width: 35vw;
            margin-top: 150px;
            transform: scale(3.8);
            margin-bottom: 150px;
    
        }
        .abouth-img {
            transform: scale(2.6);
            justify-content: center;
            align-items: center;
            font-size: 1.1rem;
        }
        .abouth h2 {
            font-size: 2.6rem;
            text-align: center;
    
        }
    
        .abouth h3 a {
            font-size: 1.6rem;
            text-align: center;
        }
    
        .portofolio-layer h4 {
            font-size: 75%;
        }
    
        .portofolio-layer p {
            font-size: 75%;
        }
    
        .footer {
            flex-direction: column-reverse;
            text-align: center;
            margin-top: 2rem;
        }

    }

    @media (max-width: 320px) {
        .section{
            min-width: 100vh;
            min-height: 100vh;
        }
        
        .home-img {
            width: 35vw;
            margin-top: 150px;
            transform: scale(3.8);
            margin-bottom: 350px;
    
        }
        .abouth-img {
            margin-top: 150px;
            transform: scale(3.1);
            justify-content: center;
            align-items: center;
            font-size: 1.1rem;
        }
        .abouth h2 {
            font-size: 2.6rem;
            text-align: center;
    
        }
    
        .abouth h3 a {
            font-size: 1.6rem;
            text-align: center;
        }
    
        .portofolio-layer h4 {
            font-size: 75%;
        }
    
        .portofolio-layer p {
            font-size: 75%;
        }
    
        .footer {
            flex-direction: column-reverse;
            text-align: center;
            margin-top: 2rem;
        }
    }

     @media (max-width: 200px){

        .home-content h3 h1{
            font-size: larger;
            text-align: flex;
        }

        .sosial-media{
            transform: scale(8.8rem);
        }


     .section{
            min-width: 100vh;
            min-height: 100vh;
        }
        
        .home-img {
            width: 35vw;
            margin-top: 350px;
            transform: scale(8.8);
            margin-bottom: 650px;
    
        }
        .abouth-img {
            margin-top: 250px;
            transform: scale(6.6);
            justify-content: center;
            align-items: center;
            font-size: 1.1rem;
        }

    .abouth-content {
        margin-top: 350px;
        margin-bottom: 450px;
        margin-block: 10.1rem;
        font-size: larger;
        
    }

        .abouth h2 {
            font-size: 3.6rem;
            text-align: center;
    
        }
    
        .abouth h3 p {
            font-size: 5.6rem;
            text-align: center;
            line-height: 1.4rem;
        }
        
        .portofolio-layer h4 {
            font-size: 75%;
        }
    
        .portofolio-layer p {
            font-size: large;
        }
    
        .footer {
            flex-direction: column-reverse;
            text-align: center;
            margin-top: 2rem;
        }

    }

        @media (max-width: 150px) 
        {

            .home-content h1 {
                font-size: 6.6rem;
                font-weight: 500;
                line-height: 1.1;
            }
    
            .sosial-media{
                transform: scale(8.8rem);
            }
    
    
         .section{
                min-width: 100vh;
                min-height: 100vh;
            }
            
            .home-img {
                width: 35vw;
                margin-top: 650px;
                transform: scale(11.8);
                margin-bottom: 850px;
        
            }
            .abouth-img {
                margin-top: 250px;
                transform: scale(6.6);
                justify-content: center;
                align-items: center;
                font-size: 1.1rem;
            }
    
        .abouth-content {
            margin-top: 350px;
            margin-bottom: 450px;
            margin-block: 10.1rem;
            font-size: larger;
            
        }
    
            .abouth h2 {
                font-size: 3.6rem;
                text-align: center;
        
            }
        
            .abouth h3 p {
                font-size: 5.6rem;
                text-align: center;
                line-height: 1.4rem;
            }
            
            .portofolio-layer h4 {
                font-size: 75%;
            }
        
            .portofolio-layer p {
                font-size: large;
            }
        
            .footer {
                flex-direction: column-reverse;
                text-align: center;
                margin-top: 2rem;
            }
    
}

